#include <iostream>
#include <iomanip>
#include <algorithm>
#include <cmath>
using namespace std;


int N[20],M[20];
int T;


int main() {
    cin>>T;
    for(int k=1;k<=T;k++){cin>>N[k]>>M[k];}
    for(int k=1;k<=T;k++){
    if(N[k]!=M[k]) {
        cout<<-1<<endl;
        continue;
    }
    for(int i=0;i<N[k];i++) cout<<"1 ";
    cout<<endl;
    for(int i=0;i<N[k]-1;i++){
        cout<<"1 ";
        for(int j=1;j<=N[k]-2-i;j++) cout<<"0 ";
        for(int j=1;j<=i+1;j++) cout<<"1 ";
        cout<<endl;





    }
    }






    return 0;
}